/*
 * ECANA.cpp
 *
 *      Author: Aleksey Gerasimenko
 *      gerasimenko.aleksey.n@gmail.com
 */

#include "DSP28335/ECANA.h"

namespace DSP28335
{
//CONSTRUCTOR
ECANA::ECANA():
        CPUBase(),
        _gpio_setup(&DSP28335::GPIO::gpio_cana_setup)
{}//CONSTRUCTOR


void ECANA::setup(const ECANASetup& setup)
{

    if(m_mode == DSP28335::ECANA::UNDEFINED)
    {
        InitECana();


        if(setup.gpio_setup != 0)
        {
            _gpio_setup = setup.gpio_setup;
            (*_gpio_setup)();

            m_mode = DSP28335::ECANA::OPERATIONAL;
            //
        }//if
        //
    }//if
   //
}//

} /* namespace DSP28335 */
