/*
 * EQEP1.h
 *
 *      Author: Aleksey Gerasimenko
 *      gerasimenko.aleksey.n@gmail.com
 */

#include "F28335/DSP28x_Project.h"

#include "DSP28335/CPUBase.h"
#include "DSP28335/GPIO.h"

#ifndef DSP28335_EQEP1_H_
#define DSP28335_EQEP1_H_

namespace DSP28335
{

struct EQEP1Setup: public DSP28335::CPUBaseSetup
{
    EQEP1Setup():
        DSP28335::CPUBaseSetup()
    {}
};//

class EQEP1: public DSP28335::CPUBase
{
public:
    EQEP1();
    void setup(const EQEP1Setup& setup);
private:
    void (*_gpio_setup)();
};

} /* namespace DSP28335 */

#endif /* DSP28335_EQEP1_H_ */
