/*
 * HeaderRUDRIVEFRAMEWORK.h
 *
 *      Author: Aleksey Gerasimenko
 *      gerasimenko.aleksey.n@gmail.com
 */

#ifndef RUDRIVEFRAMEWORK_HEADERRUDRIVEFRAMEWORK_H_
#define RUDRIVEFRAMEWORK_HEADERRUDRIVEFRAMEWORK_H_


#include "DSP28335/CPUBase.h"
#include "DSP28335/ADC.h"
// #include "DSP28335/CANBUS.h"
#include "DSP28335/CPU.h"
#include "DSP28335/CPUBase.h"
#include "DSP28335/CPUTimers.h"
#include "DSP28335/DiscreteOutputs.h"
#include "DSP28335/ECANA.h"
#include "DSP28335/ECANB.h"
#include "DSP28335/EPWM.h"
#include "DSP28335/EQEP1.h"
#include "DSP28335/FLASH.h"
#include "DSP28335/GPIO.h"
#include "DSP28335/MeasureTimeInterval.h"
#include "DSP28335/MeasureTimePeriod.h"
#include "DSP28335/MemoryZone.h"
#include "DSP28335/MemoryZone0.h"
#include "DSP28335/MemoryZone7.h"
#include "DSP28335/SCIA.h"
#include "DSP28335/SCIB.h"
#include "DSP28335/SCIBase.h"
#include "DSP28335/SCIC.h"
#include "DSP28335/SPIBase.h"
#include "DSP28335/SPIA.h"
#include "DSP28335/XINTF.h"


// #include "INTERFACE/CANBUSDataStructures.h"
// #include "INTERFACE/CANOPENParameters.h"
// #include "INTERFACE/CANOpenServer.h"
// #include "INTERFACE/DatabaseConfiguration.h"
// #include "INTERFACE/SDO.h"




#include "MODBUSRTU/ModbusRTUCRC.h"
#include "MODBUSRTU/ModbusRTUDefines.h"
#include "MODBUSRTU/ModbusRTUTransceiver.h"
#include "MODBUSRTU/ModbusRTUVariant.h"
#include "MODBUSRTU/ModbusRTUTransceiverBase.h"




#include "PERIPHERY/DigitalIO.h"
#include "PERIPHERY/ExtADC.h"
#include "PERIPHERY/ExtDAC.h"
#include "PERIPHERY/FRAMInterface.h"
#include "PERIPHERY/IIIPeriphery.h"
#include "PERIPHERY/IPeriphery.h"
#include "PERIPHERY/Periphery.h"
#include "PERIPHERY/PeripheryMap.h"
#include "PERIPHERY/PWMABCInterace.h"
#include "PERIPHERY/PWMInterface.h"
#include "PERIPHERY/PWMSInterace.h"
// #include "PERIPHERY/COMMBoard.h"


#include "RUDRIVEFRAMEWORK/DataType.h"
#include "RUDRIVEFRAMEWORK/PhaseBase.h"
#include "RUDRIVEFRAMEWORK/MultiPhaseDafaults.h"
#include "RUDRIVEFRAMEWORK/SinglePhaseDefaults.h"
#include "RUDRIVEFRAMEWORK/SystemDefinitions.h"
#include "RUDRIVEFRAMEWORK/MultiPhase.h"
#include "RUDRIVEFRAMEWORK/SinglePhase.h"


#endif /* RUDRIVEFRAMEWORK_HEADERRUDRIVEFRAMEWORK_H_ */
