/*
 * ECANA.h
 *
 *      Author: Aleksey Gerasimenko
 *      gerasimenko.aleksey.n@gmail.com
 */

#include "F28335/DSP28x_Project.h"

#include "DSP28335/CPUBase.h"
#include "DSP28335/GPIO.h"

#ifndef DSP28335_ECANA_H_
#define DSP28335_ECANA_H_

namespace DSP28335
{

struct ECANASetup: public DSP28335::CPUBaseSetup
{
    ECANASetup():
        DSP28335::CPUBaseSetup()
    {}
};//ECANASetup


class ECANA: public DSP28335::CPUBase
{
public:
    ECANA();
    void setup(const ECANASetup& setup);
private:
    void (*_gpio_setup)();
};

} /* namespace DSP28335 */

#endif /* DSP28335_ECANA_H_ */
