/*
 * IPeriphery.h
 *
 *      Author: Aleksey Gerasimenko
 *      gerasimenko.aleksey.n@gmail.com
 */
#include "PERIPHERY/Periphery.h"


#ifndef PERIPHERY_IPERIFHERY_H_
#define PERIPHERY_IPERIFHERY_H_

namespace PERIPHERY
{



struct IPeripherySetup: public PeripherySetup
{
    PWMStructureSetup pwm_brd;
    IPeripherySetup():
        PeripherySetup(),
        pwm_brd()
    {}
};//



struct IPeripheryConfiguration
{
    PWMSInterfaceConfiguration pwm_brd;
    IPeripheryConfiguration():
        pwm_brd()
    {}
};//PeripheryConfiguration

class IPeriphery: public Periphery
{
public:
    // PERIPHERY::PWMSInterace   pwm_brd;
public:
    IPeriphery();
    void setup(uint16_t *memzone);
    void setup(uint16_t *memzone, const IPeripherySetup& setup);
//    void configure(IPeripheryConfiguration& config);
    void get_hard_code_setup(IPeripherySetup& hsetup);
};

} /* namespace PERIPHERY */

#endif /* PERIPHERY_IPERIFHERY_H_ */
