/*
 * MultiPhaseDafaults.h
 *
 *      Author: Aleksey Gerasimenko
 *      gerasimenko.aleksey.n@gmail.com
 */

#ifndef RUDRIVEFRAMEWORK_MULTIPHASEDAFAULTS_H_
#define RUDRIVEFRAMEWORK_MULTIPHASEDAFAULTS_H_


#define MULTI_PHASE_PWM_FREQUENCY              (float)500
#define MULTI_PHASE_ADC_ISR_QUANTITY           (uint16_t)2
#define MULTI_PHASE_ADC_ISR_OFFSET_RELATIVE    (float)FP_ZERO
#define MULTI_PHASE_CASCADE_QUANTITY           (uint16_t)1
#define MULTI_PHASE_CELL_QUANTITY              (uint16_t)1
#define MULTI_PHASE_CELL_QANTITY_IN_CASCADE_00 (uint16_t)1
#define MULTI_PHASE_CELL_QANTITY_IN_CASCADE_01 (uint16_t)0
#define MULTI_PHASE_CELL_QANTITY_IN_CASCADE_02 (uint16_t)0
#define MULTI_PHASE_CELL_QANTITY_IN_CASCADE_03 (uint16_t)0
#define MULTI_PHASE_CELL_QANTITY_IN_CASCADE_04 (uint16_t)0
#define MULTI_PHASE_CELL_QANTITY_IN_CASCADE_05 (uint16_t)0
#define MULTI_PHASE_CELL_QANTITY_IN_CASCADE_06 (uint16_t)0
#define MULTI_PHASE_CELL_QANTITY_IN_CASCADE_07 (uint16_t)0
#define MULTI_PHASE_CELL_QANTITY_IN_CASCADE_08 (uint16_t)0
#define MULTI_PHASE_CELL_QANTITY_IN_CASCADE_09 (uint16_t)0
#define MULTI_PHASE_CELL_QANTITY_IN_CASCADE_10 (uint16_t)0
#define MULTI_PHASE_CELL_QANTITY_IN_CASCADE_11 (uint16_t)0
#define MULTI_PHASE_CELL_QANTITY_IN_CASCADE_12 (uint16_t)0
#define MULTI_PHASE_CELL_QANTITY_IN_CASCADE_13 (uint16_t)0
#define MULTI_PHASE_CELL_QANTITY_IN_CASCADE_14 (uint16_t)0
#define MULTI_PHASE_CELL_QANTITY_IN_CASCADE_15 (uint16_t)0
#define MULTI_PHASE_CELL_QANTITY_IN_CASCADE_16 (uint16_t)0
#define MULTI_PHASE_CELL_QANTITY_IN_CASCADE_17 (uint16_t)0


#endif /* RUDRIVEFRAMEWORK_MULTIPHASEDAFAULTS_H_ */
